# Generated by Django 3.2.6 on 2021-11-19 13:02

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='miembros',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('activo', models.BooleanField(default=False)),
                ('lunes', models.FloatField(blank=True, default=0, null=True)),
                ('martes', models.FloatField(blank=True, default=0, null=True)),
                ('miercoles', models.FloatField(blank=True, default=0, null=True)),
                ('jueves', models.FloatField(blank=True, default=0, null=True)),
                ('viernes', models.FloatField(blank=True, default=0, null=True)),
                ('sabado', models.FloatField(blank=True, default=0, null=True)),
                ('domingo', models.FloatField(blank=True, default=0, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Proyectos',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=150, unique=True)),
                ('fechaInicio', models.DateField()),
                ('fechaFin', models.DateField(blank=True, null=True)),
                ('descripcion', models.CharField(blank=True, max_length=450, null=True)),
                ('estado', models.CharField(choices=[('P', 'Pendiente'), ('E', 'En Curso'), ('T', 'Terminado'), ('C', 'Cancelado')], default='P', max_length=12)),
                ('scrumMaster', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='userStory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titulo', models.CharField(max_length=150)),
                ('descripcion', models.CharField(blank=True, max_length=450, null=True)),
                ('estado', models.CharField(choices=[('N', 'Nuevo'), ('PP', 'En Planning Pocker'), ('P', 'Pendiente'), ('EP', 'En Proceso'), ('STSA', 'Sin Terminar Sprint Anterior'), ('A', 'Aprobado'), ('H', 'Hecho'), ('C', 'Cancelado')], default='N', max_length=4)),
                ('fechaIngreso', models.DateField(default=datetime.date.today, verbose_name='Date')),
                ('estimacion', models.FloatField(blank=True, null=True)),
                ('tiempoDedicado', models.FloatField(default=0)),
                ('prioridad', models.IntegerField(blank=True, null=True)),
                ('encargado', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
                ('idProyecto', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.proyectos')),
            ],
        ),
        migrations.CreateModel(
            name='Sprint',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('numero', models.IntegerField()),
                ('fechaInicio', models.DateField(null=True)),
                ('fechaFin', models.DateField(null=True)),
                ('estado', models.CharField(choices=[('P', 'Pendiente'), ('E', 'En Curso'), ('T', 'Terminado'), ('C', 'Cancelado')], default='P', max_length=1)),
                ('idProyecto', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.proyectos')),
            ],
        ),
        migrations.CreateModel(
            name='Roles',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=250)),
                ('descripcion', models.CharField(max_length=450)),
                ('agregarUserStory', models.BooleanField(default=False)),
                ('eliminarUserStory', models.BooleanField(default=False)),
                ('modificarUserStory', models.BooleanField(default=False)),
                ('agregarMiembro', models.BooleanField(default=False)),
                ('modificarMiembro', models.BooleanField(default=False)),
                ('eliminarMiembro', models.BooleanField(default=False)),
                ('crearRol', models.BooleanField(default=False)),
                ('modificarRol', models.BooleanField(default=False)),
                ('eliminarRol', models.BooleanField(default=False)),
                ('crearSprint', models.BooleanField(default=False)),
                ('empezarSprint', models.BooleanField(default=False)),
                ('finalizarSprint', models.BooleanField(default=False)),
                ('agregarSprintBacklog', models.BooleanField(default=False)),
                ('modificarSprintBacklog', models.BooleanField(default=False)),
                ('idProyecto', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.proyectos')),
            ],
        ),
        migrations.CreateModel(
            name='PlanningPoker',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estimacionSM', models.FloatField()),
                ('estimacionEncargado', models.FloatField(blank=True, null=True)),
                ('estimacionFinal', models.FloatField(blank=True, null=True)),
                ('prioridad', models.IntegerField()),
                ('estado', models.CharField(choices=[('N', 'Nuevo'), ('PP', 'En Planning Pocker'), ('P', 'Pendiente'), ('EP', 'En Proceso'), ('STSA', 'Sin Terminar Sprint Anterior'), ('A', 'Aprobado'), ('H', 'Hecho'), ('C', 'Cancelado')], default='N', max_length=4)),
                ('idSprint', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.sprint')),
                ('idUs', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.userstory')),
                ('miembroEncargado', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.miembros')),
            ],
        ),
        migrations.AddField(
            model_name='miembros',
            name='idProyecto',
            field=models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.proyectos'),
        ),
        migrations.AddField(
            model_name='miembros',
            name='idRol',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.roles'),
        ),
        migrations.AddField(
            model_name='miembros',
            name='idUser',
            field=models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL),
        ),
        migrations.CreateModel(
            name='HistorialModificacion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('detalle', models.CharField(max_length=500)),
                ('fecha', models.DateField(default=django.utils.timezone.now)),
                ('hora', models.TimeField(default=datetime.time)),
                ('idMiembro', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.miembros')),
                ('idUs', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.userstory')),
            ],
        ),
        migrations.CreateModel(
            name='ActividadUs',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha', models.DateField(default=django.utils.timezone.now)),
                ('detalle', models.CharField(max_length=500)),
                ('duracion', models.FloatField()),
                ('idMiembro', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.miembros')),
                ('idSprint', models.ForeignKey(null=True, on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.sprint')),
                ('idUs', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='Proyecto.userstory')),
            ],
        ),
    ]
